Subject: bug#9141: [PATCH 1/3] extensions: Enable extensions on MacOS X 10.5 and later.

From: Bruno Haible <[email-masked]>
Date: Sat, 23 Jul 2011 02:23:47 +0200

Paul Eggert wrote:
> Recent versions of MacOS seem to have a _DARWIN_C_SOURCE flag that
> has roughly the same role that _GNU_SOURCE has for GNU systems.

It's not "roughly the same". _GNU_SOURCE makes some symbols visible that are
not visible by default. Whereas _DARWIN_C_SOURCE makes some symbols visible
that are already visible by default but hidden when _POSIX_C_SOURCE is defined.

The usual idiom in the MacOS X header files is

  #if !defined(_POSIX_C_SOURCE) || defined(_DARWIN_C_SOURCE)

So, I expect that your change will be a no-op for almost everyone.

Bruno
-- 
In memoriam Dmitry Pavlov <http://en.wikipedia.org/wiki/Dmitry_Pavlov_(general)>